<div class="container d-flex flex-column justify-content-center align-items-center p-4 m-2">
    <div class="card w-50 shadow-lg">
        <div class="card-header pt-4 text-center">
            <h2>Saisir un poste :
            </h2>
        </div>
        <div class="card-body ">
            <form [formGroup]="form" (ngSubmit)="validation()">
                <div class="mb-3" hidden>
                    <input type="text" class="form-control" formControlName="id">
                </div>
                <div class="mb-3">
                    <label for="titre" class="form-label">Titre : </label>
                    <input type="text" class="form-control" formControlName="titre">
                    <div class="form-text">Donnez un titre à votre post</div>
                </div>
                <div class="mb-3">
                    <label for="description" class="form-label">Description : </label>
                    <textarea type="text" class="form-control" formControlName="description"></textarea>
                </div>
                <div class="mb-3">
                    <label class="form-label" for="date">Date du post : </label><br>
                    <input type="date" formControlName="date" class="form-control">

                </div>
                <button type="submit" class="btn btn-primary">Validation</button>
            </form>
        </div>
    </div>
    <div class="mt-4 w-75">
        <h2>Liste des postes : </h2>
        <table class="table table-dark table-striped  shadow-lg">
            <thead>
                <tr>
                    <th scope="col" class="text-center">id</th>
                    <th scope="col" class="text-center">Titre</th>
                    <th scope="col" class="text-center">Description</th>
                    <th scope="col" class="text-center">Date</th>
                    <th scope="col" class="text-center">Action</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let post of posts">
                    <td class="text-center pt-4">{{post.id}}</td>
                    <td class="text-center pt-4">{{post.titre}}</td>
                    <td class="text-center pt-4">{{post.description}}</td>
                    <td class="text-center pt-4">{{post.date}}</td>
                    <td class="text-center"><button class="btn btn-danger m-2" (click)="delete(post.id)">Delete</button>
                        <button class="btn btn-warning m-2" (click)="edit(post.id)">Edit</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

</div>